std::pmr::polymorphic_allocator::delete_object(3)

NAME
std::pmr::polymorphic_allocator::delete_object - std::pmr::polymorphic_allocator::delete_object

Synopsis
   template< class U > (since C++20)
   void delete_object( U* p );
   Destroys the object of type U and deallocates storage allocated for it.
   Equivalent to
   std::allocator_traits<polymorphic_allocator>::destroy(*this, p);
   deallocate_object(p);

Parameters
   p - pointer to the object to destroy and deallocate

Exceptions
   Throws nothing.

Notes
   This function was introduced for use with the fully-specialized allocator
   std::pmr::polymorphic_allocator<>, but it may be useful in any specialization.

See also
   deallocate_bytes free raw memory obtained from allocate_bytes
   (C++20) (public member function)
   deallocate_object frees raw memory obtained by allocate_object
   (C++20) (public member function)
   deallocate deallocates storage using the allocator
   [static] (public static member function of std::allocator_traits<Alloc>)
   deallocate deallocates memory
                     (public member function of std::pmr::memory_resource)